<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_2e858fb1973337f53ff" . "85c104fcb38f4" => base64_decode("cHVibGlzaG" . "Vk"), "tit" . "le" => base64_decode("dGl0bG" . "U="), "_4c760fb0" . "2a49c5550" . "9ba087b84" . "fbda45" => base64_decode("ZHJ" . "hZn" . "Q="), "_6a90de6af" . "30bf720b66" . "8cfb570e60" . "6de" => base64_decode("cHJldl9zdGF0ZQ" . "=="), "_b2f5a100451164396178c16d2a" . "5c6899" => base64_decode("cHJldl90aXRsZQ" . "=="), "_939c6a45ff" . "74323dbef48" . "7ed15753a7c" => base64_decode("c3Rh" . "dGU="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b2f5a100451164396178c16d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["ti" . "tl" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_6a90de6af30bf720b668cfb" . "570e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_939c6a45f" . "f74323dbef" . "487ed15753" . "a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_939c6a45f" . "f74323dbef" . "487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4c760fb02a49c5550" . "9ba087b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_2e858fb1973337f53ff85c104" . "fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}